Subject: bug#16187: closed (Re: bug#16187: Tabbed output of "guix package -l")

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 27 Dec 2013 21:57:02 +0000

Your bug report

#16187: Tabbed output of "guix package -l"

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
16187: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16187
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#16187: Tabbed output of "guix package -l"
From: [email-masked] (Ludovic Courtès)
To: Roel Janssen <[email-masked]>
Cc: [email-masked]
Date: Fri, 27 Dec 2013 22:56:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Roel Janssen <[email-masked]> skribis:

> I think a separation between command-oriented and user-oriented
> output is a good solution.

Great.  I’m closing this bug, but let’s reopen it if someone feels
there’s more to discuss.

Ludo’.

Subject: Tabbed output of "guix package -l"
From: Roel Janssen <[email-masked]>
To: <[email-masked]>
Date: Wed, 18 Dec 2013 19:03:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I'd like the output of a command like "guix package -l" to be tabbed 
preserving all columns.

An example output of the current version:
Generation 68	dec 18 2013 12:46:45	(current)
   make  4.0     out     /nix/store/...
   automake      1.14	out     /nix/store/...
   ...

What I would like to see:
   make          4.0     out     /nix/store/...
   automake      1.14    out     /nix/store/...
   ...

The same applies for the output of "guix package -I" and "guix package 
-A"